org.kie.api.management

## Interface KieSessionMonitoringMBean

-     public interface KieSessionMonitoringMBean

  An MBean interface for Kie Session monitoring

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageFiringTime()` Returns the average firing time in milliseconds for rules in this session since last reset.
    `String` | `getKieBaseId()` Returns the associated Kie Base ID
    `int` | `getKieSessionId()` Returns the associated Kie Session ID
    `Date` | `getLastReset()` Returns the timestamp of the last stats reset
    `ObjectName` | `getName()` Returns this MBean name
    `Map<String,String>` | `getStatsByProcess()`
    `Map<Long,String>` | `getStatsByProcessInstance()`
    `Map<String,String>` | `getStatsByRule()`
    `String` | `getStatsForProcess(String processId)`
    `String` | `getStatsForProcessInstance(long processInstanceId)`
    `String` | `getStatsForRule(String ruleName)` Returns a formatted String with statistics for a single rule in this session, like number of matches created, cancelled and fired as well as firing time.
    `long` | `getTotalFactCount()` Returns the total fact count current loaded into this session
    `long` | `getTotalFiringTime()` Returns the total milliseconds spent firing rules in this session since last reset.
    `long` | `getTotalMatchesCancelled()` Returns the total number of matches cancelled in this session since last reset.
    `long` | `getTotalMatchesCreated()` Returns the total number of matches created in this session since last reset.
    `long` | `getTotalMatchesFired()` Returns the total number of matches fired in this session since last reset.
    `long` | `getTotalProcessInstancesCompleted()`
    `long` | `getTotalProcessInstancesStarted()`
    `void` | `reset()` Resets all stats

- - ### Method Detail

    - #### reset

          void reset()

      Resets all stats

    - #### getName

          ObjectName getName()

      Returns this MBean name
      Returns:

    - #### getKieBaseId

          String getKieBaseId()

      Returns the associated Kie Base ID
      Returns:

    - #### getKieSessionId

          int getKieSessionId()

      Returns the associated Kie Session ID
      Returns:

    - #### getTotalFactCount

          long getTotalFactCount()

      Returns the total fact count current loaded into this session
      Returns:

    - #### getTotalMatchesFired

          long getTotalMatchesFired()

      Returns the total number of matches fired in this session since last reset.
      Returns:

    - #### getTotalMatchesCancelled

          long getTotalMatchesCancelled()

      Returns the total number of matches cancelled in this session since last reset.
      Returns:

    - #### getTotalMatchesCreated

          long getTotalMatchesCreated()

      Returns the total number of matches created in this session since last reset.
      Returns:

    - #### getTotalFiringTime

          long getTotalFiringTime()

      Returns the total milliseconds spent firing rules in this session since last reset.
      Returns:

    - #### getAverageFiringTime

          double getAverageFiringTime()

      Returns the average firing time in milliseconds for rules in this session since last reset.
      Returns:

    - #### getStatsForRule

          String getStatsForRule(String ruleName)

      Returns a formatted String with statistics for a single rule in this session, like number of matches created, cancelled and fired as well as firing time.
      Parameters:
        `ruleName` - the name of the rule for which statistics are requested.
      Returns:

    - #### getLastReset

          Date getLastReset()

      Returns the timestamp of the last stats reset
      Returns:

    - #### getStatsByRule

          Map<String,String> getStatsByRule()

    - #### getTotalProcessInstancesStarted

          long getTotalProcessInstancesStarted()

    - #### getTotalProcessInstancesCompleted

          long getTotalProcessInstancesCompleted()

    - #### getStatsForProcess

          String getStatsForProcess(String processId)

    - #### getStatsByProcess

          Map<String,String> getStatsByProcess()

    - #### getStatsForProcessInstance

          String getStatsForProcessInstance(long processInstanceId)

    - #### getStatsByProcessInstance

          Map<Long,String> getStatsByProcessInstance()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.